=== debian/changelog ===
maxima (5.49.0+dsfg-3) unstable; urgency=medium

  * Bug fix: "install-info: warning: no info dir entry in
    `/usr/share/info/maxima-index-html.lisp.gz&#39;", thanks to
    Jörg-Volker Peetz (Closes: #1072972).
  * Bug fix: "fails to build against gcl27 2.7.1-10", thanks to Jerome
    BENOIT (Closes: #1128630).
  * Bug fix: "install-info: warning: no info dir entry in
    `/usr/share/info/maxima-index-html.lisp.gz&#39;", thanks to
    Jörg-Volker Peetz (Closes: #1072972).
  * Bug fix: "Warning (comp) appears every startup of maxima after newly
    launching emacs", thanks to Takeshi Soejima (Closes: #1099654).

 -- Camm Maguire <camm@debian.org>  Sun, 22 Feb 2026 12:11:33 -0500

maxima (5.49.0+dsfg-2) unstable; urgency=medium

  * Fix MVERS in debian/rules

 -- Camm Maguire <camm@debian.org>  Thu, 12 Feb 2026 12:18:33 +0000

maxima (5.49.0+dsfg-1) unstable; urgency=medium

  * New upstream release.

 -- Camm Maguire <camm@debian.org>  Wed, 11 Feb 2026 12:10:08 +0000
